Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db
Class IDMaker.ByURN

    java.lang.Object
      org.biojava.bio.seq.db.IDMaker.ByURN

All Implemented Interfaces:
  Serializable, IDMaker

Enclosing interface:
  IDMaker

    public static class IDMaker.ByURN

extends Object
implements Serializable, IDMaker

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.db.IDMaker
`IDMaker.ByName, IDMaker.ByURN`

Field Summary

Fields inherited from interface org.biojava.bio.seq.db.IDMaker
`byName, byURN`

Constructor Summary
`IDMaker.ByURN()`

Method Summary
`String` | `calcID(Sequence seq)` Calculate the id for a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDMaker.ByURN

    public IDMaker.ByURN()

Method Detail

### calcID

    public String calcID(Sequence seq)

  Description copied from interface: `IDMaker`
  Calculate the id for a sequence.

  Each unique sequence should return a unique ID.

  Specified by:
    `calcID` in interface `IDMaker`
  Parameters:
    `seq` - the sequence to ID
  Returns:
    the id for the sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD